Subject: ICMP Errors in response to multicast

From: Bill Fenner <[email-masked]>
Date: Mon, 6 Apr 1998 17:49:41 PDT

Folks,

  I did some brief monitoring of the Infocom MBone session, and it appeared
that the sending machine was getting completely hammered by ICMP's - I saw
several different sources of ICMP errors.  All of the culprits that I was
able to SNMP were running IOS 11.2(9); this is a known bug (CSCdj43447)
fixed in 11.1(15.4),11.2(9.1),11.3(0.7).  Please upgrade your router if
you're running anything earlier.

  There are also some ICMP-error sources that do not appear to be Ciscos.
If you are responsible for one of these, please work with your OS vendor
to resolve this problem.

  Bill

---

From: Bill Fenner <[email-masked]>
Date: Mon, 6 Apr 1998 18:21:47 PDT

>If you are responsible for one of these, please work with your OS vendor

..and please check http://sandbox.parc.xerox.com/fenner/mbone/icmp-senders.html
to see if you're one of these people!

  Bill

---

From: Hugh LaMaster <[email-masked]>
Date: Tue, 7 Apr 1998 11:04:14 -0700 (PDT)

>   I did some brief monitoring of the Infocom MBone session, and it appeared

Thanks Bill.  The bogus ICMP problem seems to be one of those 
Sisyphus-like labors: clean it up, and then, a short time later, 
the rock rolls back down the mountain.

> several different sources of ICMP errors.  All of the culprits that I was

The sending system appeared to be dropping packets in the output
queue, just like Irix 5.3 was doing two years ago before SGI fixed
it.  It seems that whichever PC OS was being used wasn't 
able to handle all the bogus ICMP packets.  I wonder if there 
is an update for the TCP/IP stack available to handle this?  
Possibly, this is something that the PC broadcast software 
vendors (e.g. Icast in this case, as well as others (e.g. Precept))
might need to supply a TCP/IP stack upgrade to handle this, since,
in my experience, this problem never completely goes away.
Is there a fix available for this?

In this case, apparently the competing accidentally-sent video
stream was also causing the sender problems- I expect the CPU
was maxed out, so, probably, a faster system would have also
helped.

--
 Hugh LaMaster, M/S 233-21,    ASCII Email: [email-masked]
 NASA Ames Research Center     Or:          [email-masked]
 Moffett Field, CA 94035-1000  No Junkmail: USC 18 section 2701
 Phone: 650/604-1056           Disclaimer:  Unofficial, personal *opinion*.

---

From: Dino Farinacci <[email-masked]>
Date: Tue, 7 Apr 1998 14:27:03 -0700 (PDT)

>> you're running anything earlier.

    Just to be clear, we don't recommend you to upgrade to the above 
    specified releases. We recommend for you to upgrade to the latest 11.2 or
    11.3 maintenance releases. That is 11.2(13) and 11.3(2).

Dino